Overview
GET
/project/tasks/{id}projectGet tasks by id
Fetch a record from tasks by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
tasks
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- titlestring
- descriptionstring?
- isCompletedboolean
- priorityinteger
- dueDatestring?
- dueDatetimestring?
- externalProjectIdstring?
- externalProjectNamestring?
- labelsstring?
- urlstring?
- isDeletedboolean
- syncVersioninteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"title": "string",
"description": "string",
"isCompleted": true,
"priority": 0,
"dueDate": "string",
"dueDatetime": "string",
"externalProjectId": "string",
"externalProjectName": "string",
"labels": "string",
"url": "string",
"isDeleted": true,
"syncVersion": 0,
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/project/tasks/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/tasks/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();